ld: Mismatched ABI (not an ELF file) for -llibcl.sl (Doc ID 376389.1)

Last updated on JULY 05, 2017

Applies to:

Precompilers - Version 10.2.0.1 and later
HP-UX PA-RISC (64-bit)
***Checked for relevance on 19-Dec-2012***


Symptoms

Trying to install Pro*Cobol 10.2.0.1 precompiler on HP-UX fails with following output seen in Oracle Universal Installer logfile

/bin/make -f ins_precomp.mk relink ORACLE_HOME=/oravol/db_10.2.0.1.0
EXENAME=procob/Linking /oravol/db_10.2.0.1.0/precomp/lib/procob
cc: warning 487: Possibly incorrect message catalog.
ld: Mismatched ABI (not an ELF file) for -llibcl.sl

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms